Agency Register Agent Vm

Agency Register Agent Vm
Adds an agent VM to this agency.

Deprecated use automatically provisioned VMs and register hooks to have control post provisioning and power on.

Adds an agent VM to this agency.

Used if manuallyProvisioned is set to true. The method does nothing if the agent VM is already registered with this agency.

Requires modify privileges.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/eam/Agency/{moId}/RegisterAgentVm
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case Agency/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RegisterAgentVmRequestType of type(s) application/json
Required

Show optional properties

{
    "agentVm": {}
}
{
    "agentVm": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
agentVm
Required

The managed object reference to the agent VM.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefAgent of type(s) application/json
This response body class contains all of the following: MoRefEamObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

ManagedObjectNotFound: Thrown if agentVm does not exist in vCenter.

Returns ManagedObjectNotFound of type(s) application/json
This response body class contains all of the following: RuntimeFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "obj": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
obj
Required

The managed object reference that generated the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"agentVm":"{}"}' https://{api_host}/sdk/vim25/{release}/eam/Agency/{moId}/RegisterAgentVm